summarylogtreecommitdiffstats
path: root/gomoon.sh
diff options
context:
space:
mode:
authorzxp198210052024-04-03 18:52:01 +0800
committerzxp198210052024-04-03 18:52:01 +0800
commit9f78cdf6bffe465930e62ba0edf3b4e44a0ddf86 (patch)
treec766ce297aa1480d8d2702a5318bcab0ab6aead9 /gomoon.sh
downloadaur-gomoon-git.tar.gz
update to 1.0.5.r143.g04d9e1c
Diffstat (limited to 'gomoon.sh')
-rw-r--r--gomoon.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/gomoon.sh b/gomoon.sh
new file mode 100644
index 000000000000..7ddcaab8d734
--- /dev/null
+++ b/gomoon.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file